EUIDACCESS(3)

NAME
euidaccess, eaccess - check effective user's permissions for a file

SYNOPSIS
#include <unistd.h>

int euidaccess(const char *pathname, int mode);
int eaccess(const char *pathname, int mode);

DESCRIPTION
Like access(2), euidaccess() checks permissions and existence of the file identified by its argument pathname. However, whereas access(2), performs checks using the real user and group identifiers of the process, euidaccess() uses the effective identifiers. mode is a mask consisting of one or more of R_OK, W_OK, X_OK and F_OK, with the same meanings as for access(2). eaccess() is a synonym for euidaccess(), provided for compatibility with some other systems.

RETURN VALUE
On success (all requested permissions granted), zero is returned. On error (at least one bit in mode asked for a permission that is denied, or some other error occurred), -1 is returned, and errno is set appropriately.

ERRORS
As for access(2).

CONFORMING TO
These functions are non-standard. Some other systems have an eaccess() function.

NOTES

  Glibc Notes
The eaccess() function was added to glibc in version 2.4.

SEE ALSO
access(2), chmod(2), chown(2), faccessat(2), open(2), path_resolution(2), setgid(2), setuid(2), stat(2)